import { Construct } from 'constructs';
export * as k8s from './imports/k8s';
import * as k8s from './imports/k8s';
export declare class ControllerStrategy {
    readonly type?: string;
    readonly maxUnavailable?: string;
    readonly maxSurge?: string;
}
export declare class SealedSecretsControllerOptions {
    readonly name?: string;
    readonly namespace?: string;
    readonly strategy?: ControllerStrategy;
    readonly args?: string[];
    readonly command?: string[];
    readonly env?: k8s.EnvVar[];
    readonly image?: string;
    readonly runAsNonRoot?: boolean;
    readonly minReadySeconds?: number;
    readonly replicas?: number;
    readonly labels?: {
        [key: string]: string;
    };
    readonly resources?: k8s.ResourceRequirements;
}
export declare class SealedSecretsTemplate extends Construct {
    private name;
    private namespace;
    private args;
    private command;
    private env;
    private image;
    private runAsNonRoot;
    private minReadySeconds;
    private replicas;
    private labels?;
    private resources?;
    constructor(scope: Construct, id: string, options: SealedSecretsControllerOptions);
    private getStrategy;
}
